ALTER TABLE MEDIA_ITEM ADD COLUMN STACK_HEAD_ID INT;
ALTER TABLE MEDIA_ITEM ADD COLUMN STACK_ORDER INT;

CREATE INDEX IDX_MEDIA_ITEM_STACK_HEAD ON MEDIA_ITEM (STACK_HEAD_ID);
CREATE INDEX IDX_MEDIA_ITEM_STACK_HEAD_ORDER ON MEDIA_ITEM (STACK_HEAD_ID,STACK_ORDER);

ALTER TABLE REPOSITORY ADD COLUMN ORDER_NUMBER INT;
UPDATE REPOSITORY R SET R.ORDER_NUMBER = (SELECT COUNT(*) FROM REPOSITORY WHERE R.ID >= ID );
ALTER TABLE REPOSITORY ALTER COLUMN ORDER_NUMBER NOT NULL;

UPDATE MEDIA_ITEM SET DIRTY = 1;;
UPDATE REPOSITORY SET LAST_SCANNED = NULL;

INSERT INTO DB_SCHEMA_VERSION(VER_MAJ,VER_MIN,SCRIPT_FILE) VALUES (1,7,'script-1.6.sql');    
